# Move

Source: https://next.coolify.io/docs/api/endpoints/databases/move-database-by-uuid

## POST /databases/{uuid}/move

Move

Move database to another project/environment. This is a purely organizational change — running containers are not affected. Note: after moving, the database will pick up shared environment variables from the new environment on the next deployment.

**Authentication:** Bearer token (`bearerAuth`)

### Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| uuid | path | yes | string | UUID of the database. |

### Request body

Target environment to move the database to.

`application/json`, required.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| environment_uuid | string | yes | UUID of the target environment. |

### Responses

#### 200

Database moved successfully.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |
| uuid | string | no |  |
| project_uuid | string | no |  |
| environment_uuid | string | no |  |

#### 400

Invalid token.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 401

Unauthenticated.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 404

Resource not found.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 422

Validation error.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |
| errors | object | no |  |
